#include <cvidef.h>

/*= <gx1025> Include File ===================================================*/
 
/*===========================================================================*/
/*  Please do not use global variables or arrays in the include file of      */
/*  instrument drivers that will be submitted for inclusion into the         */
/*  LabWindows Instrument Driver Library.                                    */
/*===========================================================================*/

#include <vpptype.h>

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif


int _VI_FUNC gx1025_init (void);
int _VI_FUNC gx1025_ConfigMain (int channel, int func);
int _VI_FUNC gx1025_MainFreq (int channel, double frequency);
int _VI_FUNC gx1025_MainAmplitude (int channel, int wave, double amplitude);
int _VI_FUNC gx1025_MainOffset (int channel, int wave, double offset);
int _VI_FUNC gx1025_MainSym (int channel, int wave, double symetry);
int _VI_FUNC gx1025_MainPhase (int channel, double phase);
int _VI_FUNC gx1025_ArbSelect (int channel, int numStore);
int _VI_FUNC gx1025_setModulation (int channel, int func, double arg, double freqA, double freqB, int shape, int source);
int _VI_FUNC gx1025_setSweep (int channel, double fStart, double fStop, double sTime, int src, int trig, int mode, int direc);
int _VI_FUNC gx1025_setBurst (int channel, int typeB, double phase, int src, double sDelay, int Edge, int nbCycl, int Polar);
int _VI_FUNC gx1025_MainOut (int channel, int output);
int _VI_FUNC gx1025_trigSweep (int channel);
int _VI_FUNC gx1025_trigBurst (int channel);
int _VI_FUNC gx1025_ArbStores (int numStore, char *nameStore, double freq, double emf, double dc, int tabTrace[]);
int _VI_FUNC gx1025_ArbRecall (int numStore, int *tabTrace);
int _VI_FUNC gx1025_Setup (int channel, int *function, double *freq, double *ampl, double *offset, double *phase, double *duty, int *state);
int _VI_FUNC gx1025_SendSetup (int channel, int function, double freq, double ampl, double offset, double phase, double duty, int state);
int _VI_FUNC gx1025_close (void);


#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif

/*****************************************************************************/
/*=== END INCLUDE FILE ======================================================*/
/*****************************************************************************/
